From 02e37f3b76ef20786f10a6d89d23944e330aecf4 Mon Sep 17 00:00:00 2001
From: Ruslan Kabatsayev <b7.10110111@gmail.com>
Date: Mon, 23 Sep 2024 22:40:01 +0400
Subject: [PATCH] Include <execution> before any Qt headers

Fixes #3905.
--- a/src/core/modules/SolarSystem.cpp
+++ b/src/core/modules/SolarSystem.cpp
@@ -19,6 +19,8 @@
  * Foundation, Inc., 51 Franklin Street, Suite 500, Boston, MA  02110-1335, USA.
  */
 
+#include <execution> // must be included before Qt because some versions of libtbb use "emit" identifier for their needs
+
 #include "SolarSystem.hpp"
 #include "StelTexture.hpp"
 #include "EphemWrapper.hpp"
@@ -48,7 +50,6 @@
 #include "StelObserver.hpp"
 
 #include <algorithm>
-#include <execution>
 
 #include <QTextStream>
 #include <QSettings>
--- a/src/stelMain_pch.hpp
+++ b/src/stelMain_pch.hpp
@@ -28,6 +28,7 @@
 // It seems that inclusion of some headers is actually bad for build time, these are commented away again. More teting or other compiler combinations may have slightly other results.
 
 // Base time was 284s from first test without PCH
+#include <execution> // must be included before Qt because some versions of libtbb use "emit" identifier for their needs
 #include "StelApp.hpp"
 #include<QDebug>
 #include "StelUtils.hpp"
